<div fxLayout="column" fxLayoutAlign="start center" fxFlex class="page-container">
  <div fxFlex="none" fxLayout="column" fxLayoutAlign="center center">
    <app-logo-xl class="mt-30"></app-logo-xl>
    <!-- <img class="logo" src="/assets/images/hand.svg" /> -->
  </div>
  <mat-card>
    <mat-card-content>
      <form [formGroup]="form" (ngSubmit)="startGame()">
        <div formArrayName="players" fxLayout="row" fxLayoutAlign="center start">
          <app-player-form
            [form]="form"
            (add)="addPlayer()"
            (removePlayer)="removePlayer($event)"
          ></app-player-form>
        </div>

        <div class="mt-10 actions" fxLayout="row">
          <div class="text-center" fxFlex>
            <button color="accent" type="submit" [disabled]="players.invalid" mat-raised-button>
              <mat-icon class="mr-5">gamepad</mat-icon>
              <span>START</span>
            </button>
          </div>
        </div>
      </form>
    </mat-card-content>
  </mat-card>
</div>
